#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

    int q;
    cin >> q;

    while(q--){
        cin >> >> n;
        vector<int> A(n);
        vector<int> B(n);    
            
        for(int i = 0;i < n;i++) cin >> A[i];
        for(int i = 0;i < n;i++) cin >> B[i];

        cout << "DA";
    }

    return 0;
}